# GET /v1/responses

> ListResponses

- `operationId`: `V1ResponsesListResponses`
- Group: [Inference API](https://sference.com/docs/api-reference/inference-api.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/inference-api/V1ResponsesListResponses

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `limit` | query | integer | no | — |
| `stream_id` | query | string \| null | no | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `ResponseList`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `object` | string | no | default `"list"` | — |
| `data` | array<ResponseListItem> | yes | — | — |
| `has_more` | boolean | no | default `false` | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/inference-api/V1ResponsesListResponses
